summaryrefslogtreecommitdiffstats
path: root/tests/glbl_setenv_2_vars.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 16:28:20 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 16:28:20 +0000
commitdcc721a95bef6f0d8e6d8775b8efe33e5aecd562 (patch)
tree66a2774cd0ee294d019efd71d2544c70f42b2842 /tests/glbl_setenv_2_vars.sh
parentInitial commit. (diff)
downloadrsyslog-dcc721a95bef6f0d8e6d8775b8efe33e5aecd562.tar.xz
rsyslog-dcc721a95bef6f0d8e6d8775b8efe33e5aecd562.zip
Adding upstream version 8.2402.0.upstream/8.2402.0
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rwxr-xr-xtests/glbl_setenv_2_vars.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/tests/glbl_setenv_2_vars.sh b/tests/glbl_setenv_2_vars.sh
new file mode 100755
index 0000000..e472c73
--- /dev/null
+++ b/tests/glbl_setenv_2_vars.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+# This is part of the rsyslog testbench, licensed under ASL 2.0
+
+. ${srcdir:=.}/diag.sh init
+generate_conf
+add_conf '
+global(environment=["http_proxy=http://127.0.0.1", "SECOND=OK OK"])
+
+set $!prx = getenv("http_proxy");
+set $!second = getenv("SECOND");
+
+template(name="outfmt" type="string" string="%$!prx%, %$!second%\n")
+:msg, contains, "msgnum:" action(type="omfile" template="outfmt"
+ file=`echo $RSYSLOG_OUT_LOG`)
+'
+startup
+injectmsg 0 1
+shutdown_when_empty # shut down rsyslogd when done processing messages
+wait_shutdown # we need to wait until rsyslogd is finished!
+
+echo 'http://127.0.0.1, OK OK' | cmp - $RSYSLOG_OUT_LOG
+if [ ! $? -eq 0 ]; then
+ echo "invalid content seen, $RSYSLOG_OUT_LOG is:"
+ cat $RSYSLOG_OUT_LOG
+ error_exit 1
+fi;
+
+exit_test